/**
 * SetOperator2.java
 *
 * File generated from the medication2::SetOperator2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration SetOperator2.
 *
 * 
 */

@XmlType(name = "SetOperator")
@XmlEnum
@XmlRootElement(name = "SetOperator2")
public enum SetOperator2 {
	@XmlEnumValue("A")
	A("A"),
	@XmlEnumValue("E")
	E("E"),
	@XmlEnumValue("H")
	H("H"),
	@XmlEnumValue("I")
	I("I"),
	@XmlEnumValue("P")
	P("P");
	
	private final String value;

    SetOperator2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static SetOperator2 fromValue(String v) {
        for (SetOperator2 c: SetOperator2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
